## org.apache.noggit
Class TextSerializer

    java.lang.Object
      org.apache.noggit.TextSerializer

    public class TextSerializer

extends Object

Constructor Summary
`TextSerializer()`

Method Summary
`void` `serialize(TextWriter writer, Collection val)`
`void` `serialize(TextWriter writer, Map val)`
`void` `serialize(TextWriter writer, Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSerializer

    public TextSerializer()

Method Detail

### serialize

    public void serialize(TextWriter writer,
                          Map val)

### serialize

    public void serialize(TextWriter writer,
                          Collection val)

### serialize

    public void serialize(TextWriter writer,
                          Object o)